---
updatedAt: 2026-06-17T17:50:44.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Configure timing for accrual calculation

Set up the time when the daily accrual calculations should occur.

If you provide a value for `division_id`, then the value provided in `time_utc` is only used for the corresponding division. That is, it's only used for the accruals of installment plans associated with that division.

If you don't provide a value for `division_id`, then the value provided in `time_utc` is used for all installment plans in the program's org, unless they are associated with a division that already has a time assigned to it. (That is, unless you already ran the endpoint with `division_id` set to the ID for that division.)

<b>Note:</b> If you run the endpoint a second time using the same value `division_id`, it generates an error. This also happens if you run the endpoint twice without providing a value for `division_id`.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Banking - Interest engine",
    "version": "1.0.0",
    "description": "API to handle interest-bearing account operations",
    "termsOfService": "https://developers.pismo.io/terms/",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismolabs.io/pismo-docs/docs/support"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/interest-engine",
      "description": "Sandbox API server for testing"
    },
    {
      "url": "https://sandbox.pismolabs.io/passport/v2/s2s/access-token",
      "description": "Sandbox API for oauth2"
    }
  ],
  "tags": [
    {
      "name": "Interest accrual",
      "description": "Interest accrual"
    }
  ],
  "components": {
    "schemas": {
      "DivisionId": {
        "type": "string",
        "description": "Division ID attached to the interest plan for accrual by division",
        "example": "d9b2c9e1-4633-4a10-841b-270f7f1493cd"
      },
      "InterestAccrualSetupResponse": {
        "title": "Accrual setup response",
        "type": "object",
        "properties": {
          "time_utc": {
            "$ref": "#/components/schemas/TimeUTC"
          },
          "division_id": {
            "$ref": "#/components/schemas/DivisionId"
          }
        },
        "required": [
          "time_utc"
        ],
        "example": {
          "division_id": "d9b2c9e1-4633-4a10-841b-270f7f1493cd",
          "time_utc": "07:05"
        }
      },
      "InterestAccrualSetupRequest": {
        "title": "Accrual setup request",
        "type": "object",
        "required": [
          "time_utc"
        ],
        "properties": {
          "time_utc": {
            "$ref": "#/components/schemas/TimeUTC"
          },
          "division_id": {
            "$ref": "#/components/schemas/DivisionId"
          }
        },
        "example": {
          "division_id": "d9b2c9e1-4633-4a10-841b-270f7f1493cd",
          "time_utc": "07:05"
        }
      },
      "TimeUTC": {
        "type": "string",
        "description": "Time when accrual calculation is performed, specified in hours and minutes. `04:05`, `05:05`, `06:05`, `07:05`, `08:05`, `09:05`, `10:05` and `19:15` are the only values accepted.",
        "enum": [
          "04:05",
          "05:05",
          "06:05",
          "07:05",
          "08:05",
          "09:05",
          "10:05",
          "19:15"
        ],
        "example": "19:15"
      },
      "ErrorResponse": {
        "type": "object",
        "description": "Standard error payload generated by the global exception handler.\n`message` is a single string for most errors and an array of strings\nwhen multiple bean-validation or request-binding errors occur in the same request.\n",
        "additionalProperties": false,
        "required": [
          "message"
        ],
        "properties": {
          "message": {
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            ]
          }
        },
        "example": {
          "message": "interest account not found"
        }
      },
      "ErrorResponseDeserialization": {
        "type": "object",
        "description": "Error payload generated only when the request body fails JSON deserialization\n(unknown field or invalid JSON structure). Returned with HTTP 400.\n",
        "additionalProperties": false,
        "required": [
          "error",
          "status"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "Short error category."
          },
          "message": {
            "type": "string",
            "description": "Details about the field or structure that causes the error."
          },
          "field": {
            "type": "string",
            "description": "Name of the invalid field. Present only for unknown-field errors."
          },
          "status": {
            "type": "integer",
            "description": "HTTP status code, always 400 for this shape."
          }
        },
        "example": {
          "error": "Invalid field in request",
          "message": "Field 'foo' is not allowed. Only the following fields can be updated: start_date, description, fixed_interest_rate, margin_rate, margin, interest_by_tiers, interest_thresholds",
          "field": "foo",
          "status": 400
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "responses": {
      "400BadRequest": {
        "description": "Bad request",
        "content": {
          "application/json": {
            "schema": {
              "anyOf": [
                {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                {
                  "$ref": "#/components/schemas/ErrorResponseDeserialization"
                }
              ]
            },
            "examples": {
              "validation": {
                "summary": "Bean validation or binding errors",
                "value": {
                  "message": [
                    "fixed_interest_rate must be informed",
                    "margin_rate must be positive"
                  ]
                }
              },
              "requestBody": {
                "summary": "invalid or missing request value",
                "value": {
                  "message": "Failed to process your request. Validate the fields in your request."
                }
              },
              "tenantHeader": {
                "summary": "Tenant header missing or malformed",
                "value": {
                  "message": "x-tenant header is missing or malformed"
                }
              },
              "unknownField": {
                "summary": "Unknown field in request body",
                "value": {
                  "error": "Invalid field in request",
                  "message": "Field 'foo' is not allowed. Only the following fields can be updated: start_date, description, fixed_interest_rate, margin_rate, margin, interest_by_tiers, interest_thresholds",
                  "field": "foo",
                  "status": 400
                }
              },
              "invalidJson": {
                "summary": "Invalid JSON body",
                "value": {
                  "error": "Invalid JSON format",
                  "message": "Request contains invalid JSON structure or field types",
                  "status": 400
                }
              },
              "taxWithholdingAccrualFeeRequired": {
                "summary": "ACCRUAL withholding without fee_processing_code",
                "value": {
                  "message": [
                    "fee_processing_code is required when tax_withholding.withholding_moment is ACCRUAL."
                  ]
                }
              },
              "taxWithholdingAccrualTaxRulesNotAllowed": {
                "summary": "ACCRUAL withholding with tax_rules present",
                "value": {
                  "message": [
                    "tax_rules must be null when tax_withholding.withholding_moment is ACCRUAL."
                  ]
                }
              },
              "taxWithholdingCapitalizationFeeNotAllowed": {
                "summary": "CAPITALIZATION withholding with fee_processing_code present",
                "value": {
                  "message": [
                    "fee_processing_code must be null when tax_withholding.withholding_moment is CAPITALIZATION."
                  ]
                }
              },
              "taxWithholdingCapitalizationTaxRulesRequired": {
                "summary": "CAPITALIZATION withholding without tax_rules",
                "value": {
                  "message": [
                    "tax_rules is required when tax_withholding.withholding_moment is CAPITALIZATION."
                  ]
                }
              },
              "taxWithholdingNoneFieldsNotAllowed": {
                "summary": "NULL withholding_moment with fee_processing_code or tax_rules present",
                "value": {
                  "message": [
                    "fee_processing_code and tax_rules must be null when tax_withholding.withholding_moment is NULL."
                  ]
                }
              },
              "taxWithholdingNotAllowedWhenTaxesExemption": {
                "summary": "taxes_exemption is true with tax_withholding present",
                "value": {
                  "message": [
                    "tax_withholding must be null when taxes_exemption is true."
                  ]
                }
              }
            }
          }
        }
      },
      "401Unauthorized": {
        "description": "Unauthorized. The response body is produced by the upstream authentication gateway and is not defined by this service."
      },
      "404NotFound": {
        "description": "Not found",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "examples": {
              "interestAccountNotFound": {
                "summary": "Interest account not found",
                "value": {
                  "message": "interest account not found"
                }
              },
              "interestPlanNotFound": {
                "summary": "Interest plan not found",
                "value": {
                  "message": "interest plan not found"
                }
              },
              "benchmarkNotFound": {
                "summary": "Benchmark not found",
                "value": {
                  "message": "benchmark not found"
                }
              }
            }
          }
        }
      },
      "500InternalServerError": {
        "description": "Internal server error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "example": {
              "message": "Failed to process your request"
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/v1/interest/accrual/setup": {
      "post": {
        "summary": "Configure timing for accrual calculation",
        "description": "Set up the time when the daily accrual calculations should occur.\n\nIf you provide a value for `division_id`, then the value provided in `time_utc` is only used for the corresponding division. That is, it's only used for the accruals of installment plans associated with that division.\n\nIf you don't provide a value for `division_id`, then the value provided in `time_utc` is used for all installment plans in the program's org, unless they are associated with a division that already has a time assigned to it. (That is, unless you already ran the endpoint with `division_id` set to the ID for that division.)\n\n<b>Note:</b> If you run the endpoint a second time using the same value `division_id`, it generates an error. This also happens if you run the endpoint twice without providing a value for `division_id`.\n",
        "tags": [
          "Interest accrual"
        ],
        "operationId": "post-v1-interest-accrual-setup",
        "parameters": [],
        "requestBody": {
          "description": "Request body",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/InterestAccrualSetupRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InterestAccrualSetupResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServerError"
          }
        }
      }
    }
  }
}
```